# SPDX-FileCopyrightText: 2025 Lubin Bailly <lubin.bailly@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  dgn-hardware.model = "EX2300-48P";
  dgn-isp = {
    enable = true;
    admin-ip = "fd26:baf9:d250:8000::100f/64";
  };
  dgn-profiles."hypervisor" = {
    interfaces = [
      "ge-0/0/0"
      "ge-0/0/1"
      "ge-0/0/2"
      "ge-0/0/3"
      "ge-0/0/4"
      "ge-0/0/5"
      "ge-0/0/6"
      "ge-0/0/7"
    ];
    configuration.ethernet-switching = {
      interface-mode = "access";
      vlans = [ "hypervisor" ];
    };
  };
  dgn-interfaces = {
    "xe-0/2/0".ethernet-switching = {
      interface-mode = "trunk";
      vlans = [ "all" ];
    };

    # debug management
    "me0".inet.addresses = [ "192.168.2.2/24" ];
  };
}
